/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef __HEXDATA_H__
#define __HEXDATA_H__
#define hex2dec( a, b)	( ((a<='9')?a-'0':a-'A'+10)*16+((b<='9')?b-'0':b-'A'+10) )
class hexdata
{
 public:
   int getdata (long address);
   int setdata (long address, int data);
   int isused (long address);
   void clear (void);
   int loadihex (FILE *fp);
   int saveihex (FILE *fp);

     hexdata (void);
     hexdata (int psize);
    ~hexdata (void);

 private:
    int  size;
   unsigned char *data;
   unsigned int *usage;
};

#endif /* __HEXDATA_H__ */
